List notes on a contact
curl --request GET \
--url https://api.algosmiths.com/api/v1/contacts/{receiver_id}/notes/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.algosmiths.com/api/v1/contacts/{receiver_id}/notes/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.algosmiths.com/api/v1/contacts/{receiver_id}/notes/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 123,
"content": "<string>",
"author": {
"id": 123,
"username": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"deleted_at": "2023-11-07T05:31:56Z",
"uid": "<string>",
"is_verified": true,
"profile_picture": "<string>",
"locale": "<string>",
"phone_number": "<string>",
"name": "<string>",
"country": "<string>",
"currency": "<string>",
"referral_code": "<string>",
"wallet_balance": "<string>",
"referred_by": 123
},
"mentions": [
{
"id": 123,
"username": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"deleted_at": "2023-11-07T05:31:56Z",
"uid": "<string>",
"is_verified": true,
"profile_picture": "<string>",
"locale": "<string>",
"phone_number": "<string>",
"name": "<string>",
"country": "<string>",
"currency": "<string>",
"referral_code": "<string>",
"wallet_balance": "<string>",
"referred_by": 123
}
],
"created_at": "2023-11-07T05:31:56Z"
}
]Contacts
List notes on a contact
New for the public API (public_api_pytest.md § A1) — note.view/note.create already existed as grantable scopes with no endpoint to consume them until now.
GET
/
api
/
v1
/
contacts
/
{receiver_id}
/
notes
/
List notes on a contact
Authorizations
ApiKeyAuthtokenAuthCookieAuth
Workspace API key, e.g. Authorization: Bearer cb_live_.... Create one in Settings → API Keys. See public_api.md § 3 for scopes.
Path Parameters
⌘I

